// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

#include "commands/Gather.h"

Gather::Gather(Gatherer &gatherer) :
    m_gatherer(gatherer) {
  // Use addRequirements() here to declare subsystem dependencies.
  SetName("Gather");
  AddRequirements(&m_gatherer);
}

// Called when the command is initially scheduled.
void Gather::Initialize() {
  m_gatherer.gather();
}

// Called repeatedly when this Command is scheduled to run
void Gather::Execute() {}

// Called once the command ends or is interrupted.
void Gather::End(bool interrupted) {
  m_gatherer.stop();
}

// Returns true when the command should end.
bool Gather::IsFinished() {
  return false;
}
