#pragma once

#include <math.h>

namespace utils {

    double joy_expo(double in, double exp) {
        double out;

        out = std::exp(std::abs(in) * exp) - 1;
        out = out / (std::exp(exp) - 1);
        out = std::copysign(out, in);

        return out;
    }

}  // End namespace utils